<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://jmix.io/schema/ui/window"
        xmlns:c="http://jmix.io/schema/ui/jpql-condition"
        caption="msg://productPriceBrowse.caption"
        focusComponent="productPricesTable">
    <data readOnly="true">
        <collection id="productPricesDc"
                    class="com.company.management.entity.ProductPrice">
            <fetchPlan extends="_base">
                <property name="type" fetchPlan="_base">
                    <property name="typeGroup" fetchPlan="_base"/>
                </property>
            </fetchPlan>
            <loader id="productPricesDl">
                <query>
                    <![CDATA[select e from ProductPrice e ]]>
                </query>
            </loader>
        </collection>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="lookupSelectAction"
                caption="msg:///actions.Select"
                icon="LOOKUP_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="lookupCancelAction"
                caption="msg:///actions.Cancel"
                icon="LOOKUP_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout expand="productPricesTable" spacing="true">
        <filter id="filter"
                dataLoader="productPricesDl">
            <properties include=".*"/>
        </filter>
        <groupTable id="productPricesTable"
                    width="100%"
                    dataContainer="productPricesDc">
            <actions>
                <action id="create" type="create"/>
                <action id="edit" type="edit"/>
                <action id="remove" type="remove"/>
                <action id="excelExport" type="excelExport"/>
            </actions>
            <columns>
                <column id="product.name"/>
                <column id="buyPrice"/>
                <column id="sellPrice"/>
                <column id="type.name"/>
            </columns>
            <simplePagination/>
            <buttonsPanel id="buttonsPanel"
                          alwaysVisible="true">
                <button id="createBtn" action="productPricesTable.create"/>
                <button id="editBtn" action="productPricesTable.edit"/>
                <button id="removeBtn" action="productPricesTable.remove"/>
                <button id="productPricesTableExcelExportBtn" action="productPricesTable.excelExport"/>
            </buttonsPanel>
        </groupTable>
        <hbox id="lookupActions" spacing="true" visible="false">
            <button action="lookupSelectAction"/>
            <button action="lookupCancelAction"/>
        </hbox>
    </layout>
</window>
